// created by OLEWrapgen
// from TypeLib at C:\WINDOWS\system32\lmrt.dll
// check for latest version at http://www.composiasoft.com

package DirectAnimation;

import com.develop.jawin.*;
import com.develop.jawin.constants.*;
import com.develop.jawin.marshal.*;
import com.develop.io.*;
import java.io.*;


public class IDAVector2 extends DispatchPtr {
    public int getTypeInfoToken() {
        return 0;
    }

    static public final GUID proxyIID = new GUID("{C46C1BC9-3C52-11D0-9200-848C1D000000}");

    static public final int iidToken;

    static {
        iidToken = IdentityManager.registerProxy(proxyIID, IDAVector2.class);
    }

    public int getGuidToken() {
        return iidToken;
    }

    /**
     * Creates empty IDAVector2 Object
     */
    public IDAVector2() throws COMException {
        super();
    }
    /**
     * Creates IDAVector2 Object with progID
     */
    public IDAVector2(String progid) throws COMException {
        super(progid);
    }
    /**
     * Queries interface of IDAVector2 Object
     */
    public IDAVector2(IUnknown other) throws COMException {
        super(other);
    }
    /**
     * Creates IDAVector2 Object with CLSID
     */
    public IDAVector2(GUID ClsID) throws COMException {
        super(ClsID);
    }
    /**
     * 
     */
    public java.lang.String GetClassName() throws COMException {
        return (java.lang.String) invoke("GetClassName");
    }
    /**
     * 
     */
    public void Init(IDABehavior toBvr) throws COMException {
        invokeN("Init", new Object[]{toBvr}, 1);
    }
    /**
     * 
     */
    public IDABehavior Importance(double relativeImportance) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("Importance", new Object[]{new java.lang.Double(relativeImportance)}, 1));
    }
    /**
     * 
     */
    public IDABehavior RunOnce() throws COMException {
        return new IDABehavior((DispatchPtr) invoke("RunOnce"));
    }
    /**
     * 
     */
    public IDABehavior SubstituteTime(IDANumber xform) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("SubstituteTime", new Object[]{xform}, 1));
    }
    /**
     * 
     */
    public void SwitchTo(IDABehavior SwitchTo) throws COMException {
        invokeN("SwitchTo", new Object[]{SwitchTo}, 1);
    }
    /**
     * 
     */
    public void SwitchToNumber(double numToSwitchTo) throws COMException {
        invokeN("SwitchToNumber", new Object[]{new java.lang.Double(numToSwitchTo)}, 1);
    }
    /**
     * 
     */
    public void SwitchToString(java.lang.String strToSwitchTo) throws COMException {
        invokeN("SwitchToString", new Object[]{strToSwitchTo}, 1);
    }
    /**
     * 
     */
    public IDABehavior Hook(IDABvrHook notifier) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("Hook", new Object[]{notifier}, 1));
    }
    /**
     * 
     */
    public IDABehavior Duration(double Duration) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("Duration", new Object[]{new java.lang.Double(Duration)}, 1));
    }
    /**
     * 
     */
    public IDABehavior DurationAnim(IDANumber Duration) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("DurationAnim", new Object[]{Duration}, 1));
    }
    /**
     * 
     */
    public IDABehavior Repeat(int count) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("Repeat", new Object[]{new java.lang.Integer(count)}, 1));
    }
    /**
     * 
     */
    public IDABehavior RepeatForever() throws COMException {
        return new IDABehavior((DispatchPtr) invoke("RepeatForever"));
    }
    /**
     * 
     */
    public boolean IsReady(boolean bBlock) throws COMException {
        return ((java.lang.Boolean) invokeN("IsReady", new Object[]{new java.lang.Boolean(bBlock)}, 1)).booleanValue();
    }
    /**
     * 
     */
    public IDANumber getLength() throws COMException {
        return new IDANumber((DispatchPtr) get("Length"));
    }
    /**
     * 
     */
    public IDANumber getLengthSquared() throws COMException {
        return new IDANumber((DispatchPtr) get("LengthSquared"));
    }
    /**
     * 
     */
    public IDAVector2 Normalize() throws COMException {
        return new IDAVector2((DispatchPtr) invoke("Normalize"));
    }
    /**
     * 
     */
    public IDAVector2 MulAnim(IDANumber scalar_0) throws COMException {
        return new IDAVector2((DispatchPtr) invokeN("MulAnim", new Object[]{scalar_0}, 1));
    }
    /**
     * 
     */
    public IDAVector2 Mul(double scalar_0) throws COMException {
        return new IDAVector2((DispatchPtr) invokeN("Mul", new Object[]{new java.lang.Double(scalar_0)}, 1));
    }
    /**
     * 
     */
    public IDAVector2 DivAnim(IDANumber scalar_0) throws COMException {
        return new IDAVector2((DispatchPtr) invokeN("DivAnim", new Object[]{scalar_0}, 1));
    }
    /**
     * 
     */
    public IDAVector2 Div(double scalar_0) throws COMException {
        return new IDAVector2((DispatchPtr) invokeN("Div", new Object[]{new java.lang.Double(scalar_0)}, 1));
    }
    /**
     * 
     */
    public IDANumber getX() throws COMException {
        return new IDANumber((DispatchPtr) get("X"));
    }
    /**
     * 
     */
    public IDANumber getY() throws COMException {
        return new IDANumber((DispatchPtr) get("Y"));
    }
    /**
     * 
     */
    public IDANumber getPolarCoordAngle() throws COMException {
        return new IDANumber((DispatchPtr) get("PolarCoordAngle"));
    }
    /**
     * 
     */
    public IDANumber getPolarCoordLength() throws COMException {
        return new IDANumber((DispatchPtr) get("PolarCoordLength"));
    }
    /**
     * 
     */
    public IDAVector2 Transform(IDATransform2 xf_0) throws COMException {
        return new IDAVector2((DispatchPtr) invokeN("Transform", new Object[]{xf_0}, 1));
    }
}
