// created by OLEWrapgen
// from TypeLib at C:\WINDOWS\system32\danim.dll
// check for latest version at http://www.composiasoft.com

package DirectAnimation;

import com.develop.jawin.*;
import com.develop.jawin.constants.*;
import com.develop.jawin.marshal.*;
import com.develop.io.*;
import java.io.*;


public class IDA2Color extends DispatchPtr {
    public int getTypeInfoToken() {
        return 0;
    }

    static public final GUID proxyIID = new GUID("{28A4B924-61FE-11D2-A740-00C04F79754C}");

    static public final int iidToken;

    static {
        iidToken = IdentityManager.registerProxy(proxyIID, IDA2Color.class);
    }

    public int getGuidToken() {
        return iidToken;
    }

    /**
     * Creates empty IDA2Color Object
     */
    public IDA2Color() throws COMException {
        super();
    }
    /**
     * Creates IDA2Color Object with progID
     */
    public IDA2Color(String progid) throws COMException {
        super(progid);
    }
    /**
     * Queries interface of IDA2Color Object
     */
    public IDA2Color(IUnknown other) throws COMException {
        super(other);
    }
    /**
     * Creates IDA2Color Object with CLSID
     */
    public IDA2Color(GUID ClsID) throws COMException {
        super(ClsID);
    }
    /**
     * 
     */
    public java.lang.String GetClassName() throws COMException {
        return (java.lang.String) invoke("GetClassName");
    }
    /**
     * 
     */
    public void Init(IDABehavior toBvr) throws COMException {
        invokeN("Init", new Object[]{toBvr}, 1);
    }
    /**
     * 
     */
    public IDABehavior Importance(double relativeImportance) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("Importance", new Object[]{new java.lang.Double(relativeImportance)}, 1));
    }
    /**
     * 
     */
    public IDABehavior RunOnce() throws COMException {
        return new IDABehavior((DispatchPtr) invoke("RunOnce"));
    }
    /**
     * 
     */
    public IDABehavior SubstituteTime(IDANumber xform) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("SubstituteTime", new Object[]{xform}, 1));
    }
    /**
     * 
     */
    public void SwitchTo(IDABehavior SwitchTo) throws COMException {
        invokeN("SwitchTo", new Object[]{SwitchTo}, 1);
    }
    /**
     * 
     */
    public void SwitchToNumber(double numToSwitchTo) throws COMException {
        invokeN("SwitchToNumber", new Object[]{new java.lang.Double(numToSwitchTo)}, 1);
    }
    /**
     * 
     */
    public void SwitchToString(java.lang.String strToSwitchTo) throws COMException {
        invokeN("SwitchToString", new Object[]{strToSwitchTo}, 1);
    }
    /**
     * 
     */
    public IDABehavior Hook(IDABvrHook notifier) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("Hook", new Object[]{notifier}, 1));
    }
    /**
     * 
     */
    public IDABehavior Duration(double Duration) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("Duration", new Object[]{new java.lang.Double(Duration)}, 1));
    }
    /**
     * 
     */
    public IDABehavior DurationAnim(IDANumber Duration) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("DurationAnim", new Object[]{Duration}, 1));
    }
    /**
     * 
     */
    public IDABehavior Repeat(int count) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("Repeat", new Object[]{new java.lang.Integer(count)}, 1));
    }
    /**
     * 
     */
    public IDABehavior RepeatForever() throws COMException {
        return new IDABehavior((DispatchPtr) invoke("RepeatForever"));
    }
    /**
     * 
     */
    public boolean IsReady(boolean bBlock) throws COMException {
        return ((java.lang.Boolean) invokeN("IsReady", new Object[]{new java.lang.Boolean(bBlock)}, 1)).booleanValue();
    }
    /**
     * 
     */
    public IDANumber getRed() throws COMException {
        return new IDANumber((DispatchPtr) get("Red"));
    }
    /**
     * 
     */
    public IDANumber getGreen() throws COMException {
        return new IDANumber((DispatchPtr) get("Green"));
    }
    /**
     * 
     */
    public IDANumber getBlue() throws COMException {
        return new IDANumber((DispatchPtr) get("Blue"));
    }
    /**
     * 
     */
    public IDANumber getHue() throws COMException {
        return new IDANumber((DispatchPtr) get("Hue"));
    }
    /**
     * 
     */
    public IDANumber getSaturation() throws COMException {
        return new IDANumber((DispatchPtr) get("Saturation"));
    }
    /**
     * 
     */
    public IDANumber getLightness() throws COMException {
        return new IDANumber((DispatchPtr) get("Lightness"));
    }
    /**
     * 
     */
    public IDA2Color AnimateProperty(java.lang.String propertyPath_0, java.lang.String scriptingLanguage_1, boolean invokeAsMethod_2, double minUpdateInterval_3) throws COMException {
        return new IDA2Color((DispatchPtr) invokeN("AnimateProperty", new Object[]{propertyPath_0, scriptingLanguage_1, new java.lang.Boolean(invokeAsMethod_2), new java.lang.Double(minUpdateInterval_3)}, 4));
    }
}
