// created by OLEWrapgen
// from TypeLib at C:\WINDOWS\system32\danim.dll
// check for latest version at http://www.composiasoft.com

package DirectAnimation;

import com.develop.jawin.*;
import com.develop.jawin.constants.*;
import com.develop.jawin.marshal.*;
import com.develop.io.*;
import java.io.*;


public class IDA3ViewerControlWindowed extends DispatchPtr {
    public int getTypeInfoToken() {
        return 0;
    }

    static public final GUID proxyIID = new GUID("{09509867-79AA-11D2-8BF5-00C04FC2F51D}");

    static public final int iidToken;

    static {
        iidToken = IdentityManager.registerProxy(proxyIID, IDA3ViewerControlWindowed.class);
    }

    public int getGuidToken() {
        return iidToken;
    }

    /**
     * Creates empty IDA3ViewerControlWindowed Object
     */
    public IDA3ViewerControlWindowed() throws COMException {
        super();
    }
    /**
     * Creates IDA3ViewerControlWindowed Object with progID
     */
    public IDA3ViewerControlWindowed(String progid) throws COMException {
        super(progid);
    }
    /**
     * Queries interface of IDA3ViewerControlWindowed Object
     */
    public IDA3ViewerControlWindowed(IUnknown other) throws COMException {
        super(other);
    }
    /**
     * Creates IDA3ViewerControlWindowed Object with CLSID
     */
    public IDA3ViewerControlWindowed(GUID ClsID) throws COMException {
        super(ClsID);
    }
    /**
     * property updateInterval
     */
    public double getUpdateInterval() throws COMException {
        return ((java.lang.Double) get("UpdateInterval")).doubleValue();
    }
    /**
     * property updateInterval
     */
    public void setUpdateInterval(double newUpdateInterval) throws COMException {
        put("UpdateInterval", new java.lang.Double(newUpdateInterval));
    }
    /**
     * property View
     */
    public IDAView getView() throws COMException {
        return new IDAView((DispatchPtr) get("View"));
    }
    /**
     * property View
     */
    public void setView(IDAView newView) throws COMException {
        put("View", newView);
    }
    /**
     * property Image
     */
    public IDAImage getImage() throws COMException {
        return new IDAImage((DispatchPtr) get("Image"));
    }
    /**
     * property Image
     */
    public void setImage(IDAImage newImage) throws COMException {
        put("Image", newImage);
    }
    /**
     * property BackgroundImage
     */
    public IDAImage getBackgroundImage() throws COMException {
        return new IDAImage((DispatchPtr) get("BackgroundImage"));
    }
    /**
     * property BackgroundImage
     */
    public void setBackgroundImage(IDAImage newBackgroundImage) throws COMException {
        put("BackgroundImage", newBackgroundImage);
    }
    /**
     * property Sound
     */
    public IDASound getSound() throws COMException {
        return new IDASound((DispatchPtr) get("Sound"));
    }
    /**
     * property Sound
     */
    public void setSound(IDASound newSound) throws COMException {
        put("Sound", newSound);
    }
    /**
     * property PixelLibrary
     */
    public IDAStatics getPixelLibrary() throws COMException {
        return new IDAStatics((DispatchPtr) get("PixelLibrary"));
    }
    /**
     * property MeterLibrary
     */
    public IDAStatics getMeterLibrary() throws COMException {
        return new IDAStatics((DispatchPtr) get("MeterLibrary"));
    }
    /**
     * Add a behavior to run at start time
     */
    public void AddBehaviorToRun(IDABehavior pBehavior) throws COMException {
        invokeN("AddBehaviorToRun", new Object[]{pBehavior}, 1);
    }
    /**
     * Start the model
     */
    public void Start() throws COMException {
        invoke("Start");
    }
    /**
     * inputImage property
     */
    public IDAImage getInputImage() throws COMException {
        return new IDAImage((DispatchPtr) get("InputImage"));
    }
    /**
     * 
     */
    public boolean getOpaqueForHitDetect() throws COMException {
        return ((java.lang.Boolean) get("OpaqueForHitDetect")).booleanValue();
    }
    /**
     * 
     */
    public void setOpaqueForHitDetect(boolean newOpaqueForHitDetect) throws COMException {
        put("OpaqueForHitDetect", new java.lang.Boolean(newOpaqueForHitDetect));
    }
    /**
     * 
     */
    public int getTimerSource() throws COMException {
        return ((java.lang.Integer) get("TimerSource")).intValue();
    }
    /**
     * 
     */
    public void setTimerSource(int newTimerSource) throws COMException {
        put("TimerSource", new java.lang.Integer(newTimerSource));
    }
    /**
     * Add a error handling routine
     */
    public void RegisterErrorHandler(java.lang.String scriptlet) throws COMException {
        invokeN("RegisterErrorHandler", new Object[]{scriptlet}, 1);
    }
    /**
     * 
     */
    public void SetPreference(java.lang.String pref, java.lang.Object val) throws COMException {
        invokeN("SetPreference", new Object[]{pref, val}, 2);
    }
    /**
     * 
     */
    public java.lang.Object GetPreference(java.lang.String pref) throws COMException {
        return (java.lang.Object) invokeN("GetPreference", new Object[]{pref}, 1);
    }
    /**
     * 
     */
    public void Stop() throws COMException {
        invoke("Stop");
    }
    /**
     * 
     */
    public void Pause() throws COMException {
        invoke("Pause");
    }
    /**
     * 
     */
    public void Resume() throws COMException {
        invoke("Resume");
    }
    /**
     * 
     */
    public void Tick() throws COMException {
        invoke("Tick");
    }
}
